package com.cosmodas.FacadeCosmos;



import com.cosmodas.EntCosmos.VCargos;
import com.cosmodas.EntCosmos.VAbonos;
import com.cosmodas.EntCosmos.VDetalleAbonos;

import javax.ejb.Local;
import java.util.List;

@Local
public interface VCargosFacadeLocal {

    void create(VCargos vcargos);

    void edit(VCargos vcargos);

    void remove(VCargos vcargos);

    VCargos find(Object id);

    List<VCargos> findAll();

    List<VCargos> findRange(int[] range);

    int count();

    List<VCargos> obtenerConCargos(String consultorCodigo);

    void ingresarCabAbono(VAbonos ab);

    void ingresarDetalleAbono(VDetalleAbonos vd);

    void actualizarCargos(Double cargoPendiente, String facturaCodigo, String facturaSerie);

    VAbonos obtenerCodigoAbono(String abo);
}
